#ifndef MSG_CONSTANTS_HH
#define MSG_CONSTANTS_HH

#define DEFAULT_SERVER_NAME "SERVER"
#define DEFAULT_BROADCAST_NAME "BROADCAST_ALL"

//Those four are just used for default value
#define DEFAULT_SERVER_PORT "5500"
#define DEFAULT_SERVER_INACTIVITY_TIME 3600
#define DEFAULT_MAX_CLIENT_CONNECTIONS 10

//#define REQUEST_TEST_CONNECTED "CONNECTED" //Handling in iserver removed somewhere after v2.11.1
//#define REQUEST_CREATE_EXTERNAL "CREATE_EXTERNAL"
//#define REQUEST_REMOVE_EXTERNAL "REMOVE_EXTERNAL"
//#define REQUEST_SERVER_DISCONNECT "SERVER_DISCONNECT"
//#define REQUEST_TRUE "TRUE"
//#define REQUEST_FALSE "FALSE"

#define SERVER_CONNECTION_ACK "CONNECTED"
#define SERVER_CONNECTION_NACK "NOT_CONNECTED"
#define SERVER_EXIT "QUITTING"

//#define PROTOCOL_OPRS "PROTOCOL_OPRS"
//#define PROTOCOL_YARP "PROTOCOL_YARP"

//Ugly hack due to Windows' socket library
#if _WIN32
#undef STATUS_TIMEOUT
#endif

#define STATUS_DISCONNECTED "NOT_CONNECTED"
#define STATUS_TIMEOUT "TIMEOUT"
#define STATUS_EMPTY "EMPTY"

#endif
